#
# set environment to build the 'stable-updates' version
#

export ASTER_BRANCH_ID=13

# devtools environment
. $HOME/dev/codeaster/devtools/etc/env.sh $*

# aster5
if [ "$DEVTOOLS_COMPUTER_ID" = "aster5" ]; then
    module load ifort/2016.0.047 icc/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2016:${PATH}
    # FIXME: force path to ecrevisse 3.2.2
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# eole
if [ "$DEVTOOLS_COMPUTER_ID" = "eole" ]; then
    . /etc/profile.d/lmod.sh
    module load icc/2016.0.047 ifort/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2016:${PATH}
    # FIXME: force path to ecrevisse 3.2.2
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# calibre9
if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_user" ]; then
    true
fi

if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_opt" ]; then
    envfile=`\ls /opt/codeaster-prerequisites/v${ASTER_BRANCH_ID}*/salome_prerequisites.sh 2> /dev/null | tail -1`
    . $envfile
fi

if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_simumeca" ]; then
    # for salome installation directory
    export PATH=/home/rd-ap-simumeca/salome_meca/appli_V2016:${PATH}
fi

# clap0f0q
if [ "$DEVTOOLS_COMPUTER_ID" = "clap0f0q" ]; then
    . ${ASTER_INSTALLROOT}/etc/codeaster/profile_gcc47.sh
    . ${ASTER_INSTALLROOT}/public/v${ASTER_BRANCH_ID}/salome_prerequisites.sh
    # FIXME: force path to ecrevisse 3.2.2
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/v${ASTER_BRANCH_ID}/tools/Ecrevisse-322
    # FIXME: workaround because of a buggy version in prerequisites
    export MISS3D_DIR=/home/aster/public/miss3d
fi
